## wmgtemp 0.5

=== src/Makefile ===
CC      = gcc
INSTALL = /usr/bin/install
LDFLAGS = -L/usr/X11R6/lib -lXpm -lXext -lX11 -lsensors
BINARY  = wmgtemp
CCFLAGS = -Wall
INSTDIR = /usr/local/bin

OFILES  = wmgtemp.o \
	./wmgeneral/wmgeneral.o \
	./wmgeneral/misc.o \
	./wmgeneral/list.o

%.o:
	$(CC) $(CCFLAGS) -c $*.c -o $*.o

$(BINARY): $(OFILES)
	$(CC) $(OFILES) $(LDFLAGS) -o $(BINARY)

clean:
	@ $(RM) $(OFILES) *~ "#"* $(BINARY)

install::
	$(INSTALL) -m 755 -c $(BINARY) $(INSTDIR)/$(BINARY)

depend:
	@ $(CC) -MM *.c > .deps

count:
	@ wc -l *.c *.h | sort

include .deps

## wmgtemp 0.6

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 INSTALL = /usr/bin/install
 LDFLAGS = -L/usr/X11R6/lib -lXpm -lXext -lX11 -lsensors
 BINARY  = wmgtemp
-CCFLAGS = -Wall
+CCFLAGS = -Wall -g
 INSTDIR = /usr/local/bin
 
 OFILES  = wmgtemp.o \

## wmgtemp 0.7

=== Makefile ===
INSTALL=install
MANINSTDIR=/usr/local/man/man1
MANPAGE=wmgtemp.1

all:    
	( cd src && $(MAKE) )

depend:    
	( cd src && $(MAKE) depend )

install:    
	( cd src && $(MAKE) install )
	$(INSTALL) -m 755 -c $(MANPAGE) $(MANINSTDIR)/$(MANPAGE)

## wmgtemp 0.8

=== debian/changelog ===
wmgtemp (0.8-1) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/watch: Added.
  * New upstream release (0.8) (Closes: #454492, #465335)
  * debian/control: 
    + Debhelper updated to >=7
    + Maintainer field set to Debian QA Group
    + Added ${misc:Depends} to avoid lintian W: debhelper-but-no-misc-depends
    + Bump Standards-Version to 3.8.4
    + Added 'Homepage' field.
    + Priority downgrade to 'extra' because depends on 'lm-sensors' which is
      extra. Filed bug to ftp.debian.org #568356
  * debian/rules:
    + export DH_COMPAT was removed
    + s/dh_clean -k/dh_prep/ to avoid lintian W: dh-clean-k-is-deprecated
  * Menu section chaged from 'Apps/System' to 'Applications/System/Monitoring'
    to get rid of lintian W: menu-item-uses-apps-section
  * debian/copyright: Migrated to DEP-5 format.
  * debian/patches:
    + 000_fix_on_src_wmtemp.c.diff: Add missing '('
    + 000_fix_hypens_in_wmtemp.1.diff: Fix hyphen in manpage

 -- Dario Minnucci <midget@debian.org>  Thu, 04 Feb 2010 08:32:12 +0100

wmgtemp (0.7-1) unstable; urgency=low

  * New upstream version.
    + Obsoleted the patch that was added to fix #185512, since a run-time
      option for swapping temperatures now exists.
    + Obsoleted the patch that fixed a multi-line string in printf.
    + Obsoleted/updated the patch for the manual page to avoid listing
      chipsets and instead point to lm_sensors manuals, and fix typos.
  * Cleaned up the packaging a bit.

 -- Josip Rodin <joy-packages@debian.org>  Mon, 11 Sep 2006 02:14:31 +0200

wmgtemp (0.6-5) unstable; urgency=low

  * Adopting the package, closes: #349201.

 -- Josip Rodin <joy-packages@debian.org>  Mon, 11 Sep 2006 02:05:33 +0200

wmgtemp (0.6-4) unstable; urgency=low

  * Orphaning the package.
  * NMU ACK. (closes: bug#347099)

 -- LENART Janos <ocsi@debian.org>  Sat, 21 Jan 2006 15:17:34 +0100

wmgtemp (0.6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #347099)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 15:01:38 +0100

wmgtemp (0.6-3) unstable; urgency=high

  * Linking to libsensors3.                         (closes: Bug#237348)
  * Changed Arch: to any. Dep: will do it (I hope). (closes: Bug#238252)

 -- Lenart Janos <ocsi@debian.org>  Sun, 21 Mar 2004 12:57:14 +0100

wmgtemp (0.6-2) unstable; urgency=medium

  * lm-sensors moved to Depends: in order to be sure /etc/sensors.conf
    exists, closes: #201762
  * Rebuild should have fixed the wacky Depends: on libsensors-1debian1,
    closes: #211081
  * Lot's of thank to Joy for his great work on wmgtemp while I am away.
    closes: #191538, #197022, #185512, #185513, #185514.

 -- Lenart Janos <ocsi@debian.org>  Fri, 26 Dec 2003 12:05:27 +0100

wmgtemp (0.6-1.2) unstable; urgency=high

  * Non-maintainer upload, to recompile against proper libsensors-dev
    and eliminate obsoleted libsensors1 dependency, closes: #197022.

 -- Josip Rodin <joy-packages@debian.org>  Fri, 27 Jun 2003 19:00:47 +0200

wmgtemp (0.6-1.1) unstable; urgency=low

  * Non-maintainer upload, approved by the maintainer.
  * Recompiled against the new libsensors-dev, plus a little patch
    to remove a multi-line string in printf which doesn't work with
    new GCC, closes: #191538.
  * Updated upstream URL, closes: #185514.
  * Removed the duplication in the manual page and (after cross-checking)
    merged it into the upstream file, closes: #185513.
  * Remove mention of chips from the description since that code was
    removed, it's now generic.
  * Use temp1 for system and temp2 for processor temperature with via686a,
    like the old version did, closes: #185512.
    I've got an Abit KG7, the author has Abit KT7 -- these two boards should
    have the same south bridge (VIA 686B), so if the settings really differ,
    then the whole idea of guessing which sensor is which seems rather
    pointless :(

 -- Josip Rodin <joy-packages@debian.org>  Tue, 10 Jun 2003 14:46:15 +0200

wmgtemp (0.6-1) unstable; urgency=low

  * New upstream release.                           (closes: Bug#169498)

 -- Lenart Janos <ocsi@debian.org>  Tue, 11 Mar 2003 21:36:57 +0100

wmgtemp (0.5-4) unstable; urgency=low

  * Typo fixed in the description.                  (closes: Bug#125492)
  * Upgraded Standards-Version.

 -- Lenart Janos <ocsi@debian.org>  Sat, 22 Dec 2001 16:25:10 +0100

wmgtemp (0.5-3) unstable; urgency=low

  * Added Build-Depends: xlibs-dev.                 (closes: Bug#123153)

 -- Lenart Janos <ocsi@debian.org>  Mon, 10 Dec 2001 22:08:12 +0100

wmgtemp (0.5-2) unstable; urgency=low

  * Fixed menu by Josip Rodin <joy@debian.org>.     (closes: Bug#119945)
  * Emacs-thingy removed from this changelog.

 -- Lenart Janos <ocsi@debian.org>  Sat, 17 Nov 2001 13:04:58 +0100

wmgtemp (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Lenart Janos <ocsi@debian.org>  Tue, 12 Jun 2001 21:08:31 +0200

wmgtemp (0.4-1) unstable; urgency=low

  * New upstream release.
  * Added suggestion against i2c-source.
  * Added example.
  * Changed description.

 -- Lenart Janos <ocsi@debian.org>  Tue, 17 Apr 2001 21:17:39 +0200

wmgtemp (0.3-3) unstable; urgency=low

  * Upgraded Standards-Version.
  * Converted to use debhelper v3.

 -- Lenart Janos <ocsi@debian.org>  Sat, 31 Mar 2001 18:45:23 +0200

wmgtemp (0.3-2) unstable; urgency=low

  * Added manpage, currently in the diff only.       (closes: Bug#88697)
  * Removed dh_testversion from debian/rules.

 -- Lenart Janos <ocsi@debian.org>  Wed, 28 Mar 2001 21:11:00 +0200

wmgtemp (0.3-1) unstable; urgency=low

  * New upstream release.
  * Makefile's patch removed from diff since it's now included in the
    upstream.

 -- Lenart Janos <ocsi@debian.org>  Tue,  6 Mar 2001 05:54:28 +0100

wmgtemp (0.1-1.1) unstable; urgency=medium

  * Moved from /usr/X11R6/bin to /usr/bin



=== debian/control ===
Source: wmgtemp
Section: utils
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>=7), libsensors-dev, libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.8.4
Homepage: http://www.fluxcode.net

Package: wmgtemp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lm-sensors
Suggests: i2c-source
Description: Temperature sensor dockapp for Window Maker
 wmgtemp is a dock app (a 64x64 window) which graphically displays the
 CPU and SYS temperatures of motherboards supported by lm_sensors.
 .
 To make wmgtemp work, one needs to set up lm_sensors and I2C.
 On Debian systems, the lm-sensors-source and i2c-source packages
 are used to set these up.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for wmgtemp, by Josip Rodin
# based on files by Joey Hess and Janos Lenart.

#export DH_VERBOSE=1

build: src/wmgtemp

src/wmgtemp: src/Makefile
	dh_testdir
	$(MAKE) depend
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin
	$(MAKE) install INSTDIR=$(CURDIR)/debian/wmgtemp/usr/bin MANINSTDIR=$(CURDIR)/debian/wmgtemp/usr/share/man/man1

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs TODO
	dh_installchangelogs
	chmod -x examples/wmgtemprc
	dh_installexamples examples/wmgtemprc
	dh_installmenu
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.fluxcode.net/ wmgtemp-(.*)\.tar\.bz2

## wmgtemp 1.1

=== Makefile ===
--- 
+++ 
@@ -9,5 +9,9 @@
 	( cd src && $(MAKE) depend )
 
 install:    
-	( cd src && $(MAKE) install )
+	( cd src && $(MAKE) install INSTDIR=$(INSTDIR) )
+	$(INSTALL) -d $(MANINSTDIR)
 	$(INSTALL) -m 755 -c $(MANPAGE) $(MANINSTDIR)/$(MANPAGE)
+
+clean:
+	( cd src && $(MAKE) clean)

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 CC      = gcc
 INSTALL = /usr/bin/install
-LDFLAGS = -L/usr/X11R6/lib -lXpm -lXext -lX11 -lsensors
+LIB     = lib
+LDFLAGS = -L/usr/X11R6/$(LIB) -lXpm -lXext -lX11 -lsensors
 BINARY  = wmgtemp
 CCFLAGS = -Wall -g
 INSTDIR = /usr/local/bin

=== debian/changelog ===
wmgtemp (1.1-3) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/{copyright,patches}
    - Update email address.
  * debian/patches/build_with_gcc5.patch
    - New patch; fixes FTBFS using gcc5. Thanks to Chris Lamb
      <lamby@debian.org> (Closes: #797540).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 31 Aug 2015 22:11:35 -0400

wmgtemp (1.1-2) unstable; urgency=medium

  * New maintainer (Closes: #779470).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9.
    - Bump Standards-Version to 3.9.6.
    - Update Homepage.
    - Add Vcs-*.
  * debian/copyright
    - Remove trailing whitespace.
    - Add myself to Copyright field for debian/*.
    - Update header paragraph.
    - Slight reformatting.
    - Add entries for wmgeneral source files.
  * debian/patches/000_fix_hypens_in_wmtemp.1.diff
    - Rename to fix_hyphens_in_wmgtemp.1.patch, update header to DEP3,
      and refresh.
  * debian/patches/001_sensors.conf.diff
    - Rename to sensors.conf.patch, update header to DEP3, and refresh.
  * debian/patches/fix_-Waggressive-loop-optimizations.patch
    - Fix compiler warning.
  * debian/patches/update_makefile.patch
    - Update install targets to use DESTDIR variable and create binary
      installation directory.
    - Honor *FLAGS variables during build.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_install target to set installation directories.
    - Add override_dh_auto_build target to use CFLAGS and LDFLAGS from
      dpkg-buildflags.
  * debian/watch
    - Update with new location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 11 Jul 2015 10:36:29 -0600

wmgtemp (1.1-1) unstable; urgency=low

  * QA upload.
  * New upstream version, using libsensors4 instead of libsensors3.
  * Remove obsolete parts of descriptions about i2c-source.
  * Fix debian/watch to also look for .tar.gz files (Closes: #596101).
  * Remove 000_fix_on_src_wmtemp.c.diff (fixed upstream).
  * Add 001_use_sensors3.conf.diff to use /etc/sensors3.conf instead of
    /etc/sensors.conf.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Feb 2011 19:22:37 +0100

=== debian/control ===
Source: wmgtemp
Section: utils
Priority: extra
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libsensors4-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev
Standards-Version: 3.9.6
Homepage: http://fluxcode.net/projects/wmgtemp
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmgtemp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmgtemp.git

Package: wmgtemp
Architecture: any
Depends: lm-sensors, ${misc:Depends}, ${shlibs:Depends}
Description: Temperature sensor dockapp for Window Maker
 wmgtemp is a dock app (a 64x64 window) which graphically displays the
 CPU and SYS temperatures of motherboards supported by lm_sensors.
 .
 To make wmgtemp work, one needs to set up lm_sensors.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- INSTDIR=/usr/bin MANINSTDIR=/usr/share/man/man1

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
http://fluxcode.net/projects/wmgtemp http://fluxcode.net/files/wmgtemp-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## wmgtemp 1.2

=== debian/changelog ===
wmgtemp (1.2-1) unstable; urgency=low

  [ Doug Torrance ]
  * New upstream release.
    - Now builds with GCC 7 (Closes: #853707).
  * debian/control
    - Add dh-autoreconf, libdockapp-dev, and pkg-config to Build-Depends.
    - Bump Standards-Version to 3.9.8.
    - Update Homepage and Vcs-Browser.
  * debian/copyright
    - Update Upstream-Contact and Source.
    - Drop file paragraphs for wmgeneral files. These have been removed
      upstream as wmgtemp now uses the wmgeneral included in libdockapp.
  * debian/docs
    - New file; install CREDITS and README.
  * debian/examples
    - New file; install example config file.
  * debian/install
    - New file; install new desktop entry file.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/menu
    - Remove file; Debian menu system is deprecated.
  * debian/rules
    - Use dh_autoreconf and drop old override targets which are no longer
      needed.
    - Use all hardening flags.
    - Append "-Wl,--as-needed" to LDFLAGS to avoid useless dependencies.
  * debian/watch
    - Bump to uscan v4 and update download location.
  * debian/wmgtemp.desktop
    - New desktop entry file.

  [ Andreas Metzler ]
  * Upload to unstable now, since gcc7 bugs have become rc. Add myself to
    uploaders.
  * Bump Standards-Version to 4.0.0, no further changes.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Aug 2017 13:32:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Section: utils
 Priority: extra
 Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
+  Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               libdockapp-dev,
                libsensors4-dev,
                libx11-dev,
                libxext-dev,
-               libxpm-dev
-Standards-Version: 3.9.6
-Homepage: http://fluxcode.net/projects/wmgtemp
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmgtemp.git
+               libxpm-dev,
+               pkg-config
+Standards-Version: 4.0.0
+Homepage: http://www.dockapps.net/wmgtemp
+Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmgtemp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmgtemp.git
 
 Package: wmgtemp

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf
